/**
 * @param { import("knex").Knex } knex
 * @returns { Promise<void> }
 */
exports.up = function(knex) {
    return knex.schema.alterTable('mailbox', function (table) {
        table.tinyint('ignore').defaultTo(0);
    }).alterTable('alias', function (table) {
        table.tinyint('ignore').defaultTo(0);
    });
};

/**
 * @param { import("knex").Knex } knex
 * @returns { Promise<void> }
 */
exports.down = function(knex) {
    return knex.schema.alterTable('mailbox', function (table) {
        table.dropColumn('ignore');
    }).alterTable('alias', function (table) {
        table.dropColumn('ignore');
    });
};
